CGAL 6.2 - 3D Constrained Triangulations

Loading...
Searching...
No Matches
List of all members | Classes | Public Types | Public Member Functions | Static Public Member Functions
CGAL::Conforming_constrained_Delaunay_triangulation_vertex_base_3< Traits, VertexBase > Class Template Reference
Reference Manual » Classes and Class Templates

`#include <CGAL/Conforming_constrained_Delaunay_triangulation_vertex_base_3.h>`

## Inherits from

CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >.

## Definition

template<typename Traits, typename VertexBase = Triangulation_vertex_base_3<Traits>>
class CGAL::Conforming_constrained_Delaunay_triangulation_vertex_base_3< Traits, VertexBase >

Vertex base class for the 3D conforming constrained Delaunay triangulation.

This class is derived from its parameter template `VertexBase` and provides additional functionality required by `Conforming_constrained_Delaunay_triangulation_3`.

Template Parameters

  Traits | The geometric traits class, model of `ConformingConstrainedDelaunayTriangulationTraits_3`. It must be the same as the geometric traits class of the triangulation.
  VertexBase | The base class for the vertex. It must be a model of `TriangulationVertexBase_3`.

Is model of
  `ConformingConstrainedDelaunayTriangulationVertexBase_3`

See also
  `CGAL::Conforming_constrained_Delaunay_triangulation_cell_base_3`

Examples
  Constrained_triangulation_3/remesh_constrained_Delaunay_triangulation_3.cpp.

## Classes
struct | Rebind_TDS

## Public Types
using | Base = Triangulation_simplex_base_with_time_stamp< VertexBase >
Public Types inherited from CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >
typedef CGAL::Tag_true | Has_timestamp

## Public Member Functions
Conforming_constrained_Delaunay_triangulation_vertex_data_3 & | ccdt_3_data ()
const Conforming_constrained_Delaunay_triangulation_vertex_data_3 & | ccdt_3_data () const
Public Member Functions inherited from CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >
std::size_t | time_stamp () const
void | set_time_stamp (const std::size_t &ts)

## Static Public Member Functions
static std::string | io_signature ()
Static Public Member Functions inherited from CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >
static std::string | io_signature ()